# Generated from easy_html_generator-1.0.6.gem by gem2rpm -*- rpm-spec -*-
%global gem_name easy_html_generator

Name: rubygem-%{gem_name}
Version: 1.0.6
Release: 1%{?dist}
Summary: This gem is a powerful and easy to use web development tool that helps developing modern web sites by generating static html pages
License: MIT
URL: https://github.com/creative-workflow/easy-html-generator
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.0.0
# BuildRequires: rubygem(rspec)
# BuildRequires: rubygem(simplecov)
# BuildRequires: rubygem(rack-test)
# BuildRequires: rubygem(rubocop)
BuildArch: noarch

%description
This gem is a powerful and easy to use web development tool that helps
developing modern web sites by generating static html pages.
It uses CoffeScript, Sass, Haml, Bootstrap, HeadJs, Bower, Grunt, Google
Anlaytics and minimizes coffee-, javascript-, sass-, css-, png- and
image-files.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%{_bindir}/ehg
%{gem_instdir}/.codeclimate.yml
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.rubocop.yml
%exclude %{gem_instdir}/.travis.yml
%license %{gem_instdir}/LICENSE
%{gem_instdir}/bin
%{gem_instdir}/config.ru
%{gem_libdir}
%{gem_instdir}/src
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%doc %{gem_instdir}/docs
%{gem_instdir}/easy_html_generator.gemspec

%changelog
* Mon Apr 18 2022 mockbuilder - 1.0.6-1
- Initial package
